XASession
Date: 2015-09-19

javax.jms

## Interface XASession

- All Superinterfaces:
    java.lang.Runnable, Session
  All Known Subinterfaces:
    XAQueueSession, XATopicSession

      public interface XASession
      extends Session

- - ### Field Summary

    - ### Fields inherited from interface javax.jms.Session

      `AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit()`
    `Session` | `getSession()`
    `boolean` | `getTransacted()`
    `javax.transaction.xa.XAResource` | `getXAResource()`
    `void` | `rollback()`

    - ### Methods inherited from interface javax.jms.Session

      `close, createBrowser, createBrowser, createBytesMessage, createConsumer, createConsumer, createConsumer, createDurableSubscriber, createDurableSubscriber, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createQueue, createStreamMessage, createTemporaryQueue, createTemporaryTopic, createTextMessage, createTextMessage, createTopic, getAcknowledgeMode, getMessageListener, recover, run, setMessageListener, unsubscribe`

- - ### Method Detail

    - #### getSession

          Session getSession()
                             throws JMSException

      Throws:
        `JMSException`

    - #### getXAResource

          javax.transaction.xa.XAResource getXAResource()

    - #### getTransacted

          boolean getTransacted()
                                throws JMSException

      Specified by:
        `getTransacted` in interface `Session`
      Throws:
        `JMSException`

    - #### commit

          void commit()
                      throws JMSException

      Specified by:
        `commit` in interface `Session`
      Throws:
        `JMSException`

    - #### rollback

          void rollback()
                        throws JMSException

      Specified by:
        `rollback` in interface `Session`
      Throws:
        `JMSException`